: Class UtilityMessage

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## roast
Class UtilityMessage

    java.lang.Object
      |
      +--roast.UtilityMessage

public class UtilityMessage
extends java.lang.Object
implements LogMessage

A utility log message. Contains a message string and a message level.

See Also:
  Serialized Form

Constructor Summary
`UtilityMessage(java.lang.String message, int level)` Constructs a UtilityMessage object with the specified message and level.

Method Summary
`int` | `getLevel()` Returns the utility message level.
`java.lang.String` | `getMessage()` Returns the utility message text as a String.
`java.lang.String` | `toString()` Returns a string representation of the utility message.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UtilityMessage

    public UtilityMessage(java.lang.String message,
                          int level)

  Constructs a UtilityMessage object with the specified message and level.
  Parameters:
    `message` - the utility message text
    `level` - the utility message level

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representation of the utility message. The string includes the utility message text and message level formatted in a single line.
  Specified by:
    toString in interface LogMessage
  Returns:
    a string representation of the information in the utility message object
  Overrides:
    toString in class java.lang.Object

### getMessage

    public java.lang.String getMessage()

  Returns the utility message text as a String.
  Specified by:
    getMessage in interface LogMessage
  Returns:
    the utility message text

### getLevel

    public int getLevel()

  Returns the utility message level.
  Specified by:
    getLevel in interface LogMessage
  Returns:
    the utility message level

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD